Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading from HP-UX 10.20 TO 11.00 AND ORACLE 805

Marco Hernandez Padill
Occasional Advisor

Upgrading from HP-UX 10.20 TO 11.00 AND ORACLE 805

WE UPGRADED OUR HP 9000 FROM HP-UX 10.20 TO 11.0 THEN I INSTALLED ORACLE FOR HP-UX 11.00
(I HAD ORACLE FOR HP-UX 10.20 BEFORE)
I USED THE INSTALL AND RELINK OPTION.
I STARTED THE DATABASE AND WORKED FINE BUT I CAN'T CONNECT FROM A REMOTE CLIENT LIKE SQLPLUS (USING sqlplus scott/tiger@prod_mm, for example). THE ERROR MESSAGE IS:
/usr/lib/dld.sl: Unresolved symbol: getrlimit64 (code) from /usr/lib/libcma.1

ANY IDEA WHAT'S THE PROBLEM???
THANK'S IN ADVANCE
Nada como la persistencia
4 REPLIES
Kofi ARTHIABAH
Honored Contributor

Re: Upgrading from HP-UX 10.20 TO 11.00 AND ORACLE 805

Try the following:

make sure that your /etc/nsswitch.conf contains:
hosts: files [NOTFOUND=continue] dns

also make sure that your hostname is defined in your /etc/hosts file - include an entry for the remote host that will be connecting.

and then try connecting with sqlplus again.
nothing wrong with me that a few lines of code cannot fix!
Anthony Goonetilleke
Esteemed Contributor

Re: Upgrading from HP-UX 10.20 TO 11.00 AND ORACLE 805

PHSS_19739 fixed this in 10.20 there is probably an equivalent for 11.00
Minimum effort maximum output!
Anthony Goonetilleke
Esteemed Contributor

Re: Upgrading from HP-UX 10.20 TO 11.00 AND ORACLE 805

Install the following on HPUX 11
PHSS_17810 - DCE
PHSS_17446 - ARPA
PHSS_17051 - Streams

you will probably have to relink oracle after you have installed these.
Minimum effort maximum output!
John Palmer
Honored Contributor

Re: Upgrading from HP-UX 10.20 TO 11.00 AND ORACLE 805

This extract from a known Oracle error may be relevant:-

/usr/dld.sl unresolved symbol:getrlimit64

Relink "oracle":

a) Change to the "rdbms/lib" directory:

% cd $ORACLE_HOME/rdbms/lib

b) Shut all the database down in this ORACLE_HOME

c) Relink "oracle":

% make -f ins_rdbms.mk ioracle

Explanation
-----------

HP added "getrlimit64" to newer versions of libcma on HP/UX 11.0. If "oracle"
was linked with an older version of libcma this definition will not be
defined in the "oracle" binary. Relinking resolves the "getrlimit64"
referencing problem.